Index: uspace/srv/fs/tmpfs/tmpfs_ops.c
===================================================================
--- uspace/srv/fs/tmpfs/tmpfs_ops.c	(revision 69e0d6d76d229cc73c6c8a11802d5f2e93167ca4)
+++ uspace/srv/fs/tmpfs/tmpfs_ops.c	(revision cb569e62113a2d98fcd62f99a984ae74d5329acf)
@@ -70,8 +70,8 @@
 /* Forward declarations of static functions. */
 static int tmpfs_match(fs_node_t **, fs_node_t *, const char *);
-static int tmpfs_node_get(fs_node_t **, dev_handle_t, fs_index_t);
+static int tmpfs_node_get(fs_node_t **, devmap_handle_t, fs_index_t);
 static int tmpfs_node_open(fs_node_t *);
 static int tmpfs_node_put(fs_node_t *);
-static int tmpfs_create_node(fs_node_t **, dev_handle_t, int);
+static int tmpfs_create_node(fs_node_t **, devmap_handle_t, int);
 static int tmpfs_destroy_node(fs_node_t *);
 static int tmpfs_link_node(fs_node_t *, fs_node_t *, const char *);
@@ -79,7 +79,7 @@
 
 /* Implementation of helper functions. */
-static int tmpfs_root_get(fs_node_t **rfn, dev_handle_t dev_handle)
-{
-	return tmpfs_node_get(rfn, dev_handle, TMPFS_SOME_ROOT); 
+static int tmpfs_root_get(fs_node_t **rfn, devmap_handle_t devmap_handle)
+{
+	return tmpfs_node_get(rfn, devmap_handle, TMPFS_SOME_ROOT); 
 }
 
@@ -120,5 +120,5 @@
 }
 
-static dev_handle_t tmpfs_device_get(fs_node_t *fn)
+static devmap_handle_t tmpfs_device_get(fs_node_t *fn)
 {
 	return 0;
@@ -165,7 +165,7 @@
 	switch (keys) {
 	case 1:
-		return (nodep->dev_handle == key[NODES_KEY_DEV]);
+		return (nodep->devmap_handle == key[NODES_KEY_DEV]);
 	case 2:	
-		return ((nodep->dev_handle == key[NODES_KEY_DEV]) &&
+		return ((nodep->devmap_handle == key[NODES_KEY_DEV]) &&
 		    (nodep->index == key[NODES_KEY_INDEX]));
 	default:
@@ -209,5 +209,5 @@
 	nodep->bp = NULL;
 	nodep->index = 0;
-	nodep->dev_handle = 0;
+	nodep->devmap_handle = 0;
 	nodep->type = TMPFS_NONE;
 	nodep->lnkcnt = 0;
@@ -233,10 +233,10 @@
 }
 
-static bool tmpfs_instance_init(dev_handle_t dev_handle)
+static bool tmpfs_instance_init(devmap_handle_t devmap_handle)
 {
 	fs_node_t *rfn;
 	int rc;
 	
-	rc = tmpfs_create_node(&rfn, dev_handle, L_DIRECTORY);
+	rc = tmpfs_create_node(&rfn, devmap_handle, L_DIRECTORY);
 	if (rc != EOK || !rfn)
 		return false;
@@ -245,8 +245,8 @@
 }
 
-static void tmpfs_instance_done(dev_handle_t dev_handle)
+static void tmpfs_instance_done(devmap_handle_t devmap_handle)
 {
 	unsigned long key[] = {
-		[NODES_KEY_DEV] = dev_handle
+		[NODES_KEY_DEV] = devmap_handle
 	};
 	/*
@@ -279,8 +279,8 @@
 }
 
-int tmpfs_node_get(fs_node_t **rfn, dev_handle_t dev_handle, fs_index_t index)
+int tmpfs_node_get(fs_node_t **rfn, devmap_handle_t devmap_handle, fs_index_t index)
 {
 	unsigned long key[] = {
-		[NODES_KEY_DEV] = dev_handle,
+		[NODES_KEY_DEV] = devmap_handle,
 		[NODES_KEY_INDEX] = index
 	};
@@ -308,5 +308,5 @@
 }
 
-int tmpfs_create_node(fs_node_t **rfn, dev_handle_t dev_handle, int lflag)
+int tmpfs_create_node(fs_node_t **rfn, devmap_handle_t devmap_handle, int lflag)
 {
 	fs_node_t *rootfn;
@@ -327,5 +327,5 @@
 	nodep->bp->data = nodep;	/* link the FS and TMPFS nodes */
 
-	rc = tmpfs_root_get(&rootfn, dev_handle);
+	rc = tmpfs_root_get(&rootfn, devmap_handle);
 	assert(rc == EOK);
 	if (!rootfn)
@@ -333,5 +333,5 @@
 	else
 		nodep->index = tmpfs_next_index++;
-	nodep->dev_handle = dev_handle;
+	nodep->devmap_handle = devmap_handle;
 	if (lflag & L_DIRECTORY) 
 		nodep->type = TMPFS_DIRECTORY;
@@ -341,5 +341,5 @@
 	/* Insert the new node into the nodes hash table. */
 	unsigned long key[] = {
-		[NODES_KEY_DEV] = nodep->dev_handle,
+		[NODES_KEY_DEV] = nodep->devmap_handle,
 		[NODES_KEY_INDEX] = nodep->index
 	};
@@ -357,5 +357,5 @@
 
 	unsigned long key[] = {
-		[NODES_KEY_DEV] = nodep->dev_handle,
+		[NODES_KEY_DEV] = nodep->devmap_handle,
 		[NODES_KEY_INDEX] = nodep->index
 	};
@@ -442,5 +442,5 @@
 void tmpfs_mounted(ipc_callid_t rid, ipc_call_t *request)
 {
-	dev_handle_t dev_handle = (dev_handle_t) IPC_GET_ARG1(*request);
+	devmap_handle_t devmap_handle = (devmap_handle_t) IPC_GET_ARG1(*request);
 	fs_node_t *rootfn;
 	int rc;
@@ -455,5 +455,5 @@
 
 	/* Check if this device is not already mounted. */
-	rc = tmpfs_root_get(&rootfn, dev_handle);
+	rc = tmpfs_root_get(&rootfn, devmap_handle);
 	if ((rc == EOK) && (rootfn)) {
 		(void) tmpfs_node_put(rootfn);
@@ -464,5 +464,5 @@
 
 	/* Initialize TMPFS instance. */
-	if (!tmpfs_instance_init(dev_handle)) {
+	if (!tmpfs_instance_init(devmap_handle)) {
 		free(opts);
 		ipc_answer_0(rid, ENOMEM);
@@ -470,9 +470,9 @@
 	}
 
-	rc = tmpfs_root_get(&rootfn, dev_handle);
+	rc = tmpfs_root_get(&rootfn, devmap_handle);
 	assert(rc == EOK);
 	tmpfs_node_t *rootp = TMPFS_NODE(rootfn);
 	if (str_cmp(opts, "restore") == 0) {
-		if (tmpfs_restore(dev_handle))
+		if (tmpfs_restore(devmap_handle))
 			ipc_answer_3(rid, EOK, rootp->index, rootp->size,
 			    rootp->lnkcnt);
@@ -493,7 +493,7 @@
 void tmpfs_unmounted(ipc_callid_t rid, ipc_call_t *request)
 {
-	dev_handle_t dev_handle = (dev_handle_t) IPC_GET_ARG1(*request);
-
-	tmpfs_instance_done(dev_handle);
+	devmap_handle_t devmap_handle = (devmap_handle_t) IPC_GET_ARG1(*request);
+
+	tmpfs_instance_done(devmap_handle);
 	ipc_answer_0(rid, EOK);
 }
@@ -511,5 +511,5 @@
 void tmpfs_read(ipc_callid_t rid, ipc_call_t *request)
 {
-	dev_handle_t dev_handle = (dev_handle_t) IPC_GET_ARG1(*request);
+	devmap_handle_t devmap_handle = (devmap_handle_t) IPC_GET_ARG1(*request);
 	fs_index_t index = (fs_index_t) IPC_GET_ARG2(*request);
 	aoff64_t pos =
@@ -521,5 +521,5 @@
 	link_t *hlp;
 	unsigned long key[] = {
-		[NODES_KEY_DEV] = dev_handle,
+		[NODES_KEY_DEV] = devmap_handle,
 		[NODES_KEY_INDEX] = index
 	};
@@ -586,5 +586,5 @@
 void tmpfs_write(ipc_callid_t rid, ipc_call_t *request)
 {
-	dev_handle_t dev_handle = (dev_handle_t) IPC_GET_ARG1(*request);
+	devmap_handle_t devmap_handle = (devmap_handle_t) IPC_GET_ARG1(*request);
 	fs_index_t index = (fs_index_t) IPC_GET_ARG2(*request);
 	aoff64_t pos =
@@ -596,5 +596,5 @@
 	link_t *hlp;
 	unsigned long key[] = {
-		[NODES_KEY_DEV] = dev_handle,
+		[NODES_KEY_DEV] = devmap_handle,
 		[NODES_KEY_INDEX] = index
 	};
@@ -651,5 +651,5 @@
 void tmpfs_truncate(ipc_callid_t rid, ipc_call_t *request)
 {
-	dev_handle_t dev_handle = (dev_handle_t) IPC_GET_ARG1(*request);
+	devmap_handle_t devmap_handle = (devmap_handle_t) IPC_GET_ARG1(*request);
 	fs_index_t index = (fs_index_t) IPC_GET_ARG2(*request);
 	aoff64_t size =
@@ -660,5 +660,5 @@
 	 */
 	unsigned long key[] = {
-		[NODES_KEY_DEV] = dev_handle,
+		[NODES_KEY_DEV] = devmap_handle,
 		[NODES_KEY_INDEX] = index
 	};
@@ -704,5 +704,5 @@
 void tmpfs_destroy(ipc_callid_t rid, ipc_call_t *request)
 {
-	dev_handle_t dev_handle = (dev_handle_t)IPC_GET_ARG1(*request);
+	devmap_handle_t devmap_handle = (devmap_handle_t)IPC_GET_ARG1(*request);
 	fs_index_t index = (fs_index_t)IPC_GET_ARG2(*request);
 	int rc;
@@ -710,5 +710,5 @@
 	link_t *hlp;
 	unsigned long key[] = {
-		[NODES_KEY_DEV] = dev_handle,
+		[NODES_KEY_DEV] = devmap_handle,
 		[NODES_KEY_INDEX] = index
 	};
Index: uspace/srv/hid/adb_mouse/adb_mouse.c
===================================================================
--- uspace/srv/hid/adb_mouse/adb_mouse.c	(revision 69e0d6d76d229cc73c6c8a11802d5f2e93167ca4)
+++ uspace/srv/hid/adb_mouse/adb_mouse.c	(revision cb569e62113a2d98fcd62f99a984ae74d5329acf)
@@ -78,6 +78,6 @@
 	snprintf(dev_path, DEVMAP_NAME_MAXLEN, "%s/mouse", NAMESPACE);
 
-	dev_handle_t dev_handle;
-	if (devmap_device_register(dev_path, &dev_handle) != EOK) {
+	devmap_handle_t devmap_handle;
+	if (devmap_device_register(dev_path, &devmap_handle) != EOK) {
 		printf(NAME ": Unable to register device %s\n", dev_path);
 		return -1;
Index: uspace/srv/hid/char_mouse/char_mouse.c
===================================================================
--- uspace/srv/hid/char_mouse/char_mouse.c	(revision 69e0d6d76d229cc73c6c8a11802d5f2e93167ca4)
+++ uspace/srv/hid/char_mouse/char_mouse.c	(revision cb569e62113a2d98fcd62f99a984ae74d5329acf)
@@ -134,6 +134,6 @@
 	snprintf(dev_path, DEVMAP_NAME_MAXLEN, "%s/%s", NAMESPACE, NAME);
 
-	dev_handle_t dev_handle;
-	if (devmap_device_register(dev_path, &dev_handle) != EOK) {
+	devmap_handle_t devmap_handle;
+	if (devmap_device_register(dev_path, &devmap_handle) != EOK) {
 		printf(NAME ": Unable to register device %s\n", dev_path);
 		return -1;
Index: uspace/srv/hid/console/console.c
===================================================================
--- uspace/srv/hid/console/console.c	(revision 69e0d6d76d229cc73c6c8a11802d5f2e93167ca4)
+++ uspace/srv/hid/console/console.c	(revision cb569e62113a2d98fcd62f99a984ae74d5329acf)
@@ -82,5 +82,5 @@
 	size_t index;             /**< Console index */
 	size_t refcount;          /**< Connection reference count */
-	dev_handle_t dev_handle;  /**< Device handle */
+	devmap_handle_t devmap_handle;  /**< Device handle */
 	keybuffer_t keybuffer;    /**< Buffer for incoming keys. */
 	screenbuffer_t scr;       /**< Screenbuffer for saving screen
@@ -571,5 +571,5 @@
 			continue;
 		
-		if (consoles[i].dev_handle == (dev_handle_t) IPC_GET_ARG1(*icall)) {
+		if (consoles[i].devmap_handle == (devmap_handle_t) IPC_GET_ARG1(*icall)) {
 			cons = &consoles[i];
 			break;
@@ -815,5 +815,5 @@
 			snprintf(vc, DEVMAP_NAME_MAXLEN, "%s/vc%u", NAMESPACE, i);
 			
-			if (devmap_device_register(vc, &consoles[i].dev_handle) != EOK) {
+			if (devmap_device_register(vc, &consoles[i].devmap_handle) != EOK) {
 				devmap_hangup_phone(DEVMAP_DRIVER);
 				printf(NAME ": Unable to register device %s\n", vc);
Index: uspace/srv/hid/kbd/generic/kbd.c
===================================================================
--- uspace/srv/hid/kbd/generic/kbd.c	(revision 69e0d6d76d229cc73c6c8a11802d5f2e93167ca4)
+++ uspace/srv/hid/kbd/generic/kbd.c	(revision cb569e62113a2d98fcd62f99a984ae74d5329acf)
@@ -250,6 +250,6 @@
 	snprintf(kbd, DEVMAP_NAME_MAXLEN, "%s/%s", NAMESPACE, NAME);
 	
-	dev_handle_t dev_handle;
-	if (devmap_device_register(kbd, &dev_handle) != EOK) {
+	devmap_handle_t devmap_handle;
+	if (devmap_device_register(kbd, &devmap_handle) != EOK) {
 		printf("%s: Unable to register device %s\n", NAME, kbd);
 		return -1;
Index: uspace/srv/hid/s3c24xx_ts/s3c24xx_ts.c
===================================================================
--- uspace/srv/hid/s3c24xx_ts/s3c24xx_ts.c	(revision 69e0d6d76d229cc73c6c8a11802d5f2e93167ca4)
+++ uspace/srv/hid/s3c24xx_ts/s3c24xx_ts.c	(revision cb569e62113a2d98fcd62f99a984ae74d5329acf)
@@ -99,5 +99,5 @@
 		return -1;
 
-	rc = devmap_device_register(NAMESPACE "/mouse", &ts->dev_handle);
+	rc = devmap_device_register(NAMESPACE "/mouse", &ts->devmap_handle);
 	if (rc != EOK) {
 		devmap_hangup_phone(DEVMAP_DRIVER);
Index: uspace/srv/hid/s3c24xx_ts/s3c24xx_ts.h
===================================================================
--- uspace/srv/hid/s3c24xx_ts/s3c24xx_ts.h	(revision 69e0d6d76d229cc73c6c8a11802d5f2e93167ca4)
+++ uspace/srv/hid/s3c24xx_ts/s3c24xx_ts.h	(revision cb569e62113a2d98fcd62f99a984ae74d5329acf)
@@ -125,5 +125,5 @@
 
 	/** Device handle */
-	dev_handle_t dev_handle;
+	devmap_handle_t devmap_handle;
 
 	/** Device/driver state */
Index: uspace/srv/hw/bus/cuda_adb/cuda_adb.c
===================================================================
--- uspace/srv/hw/bus/cuda_adb/cuda_adb.c	(revision 69e0d6d76d229cc73c6c8a11802d5f2e93167ca4)
+++ uspace/srv/hw/bus/cuda_adb/cuda_adb.c	(revision cb569e62113a2d98fcd62f99a984ae74d5329acf)
@@ -143,5 +143,5 @@
 int main(int argc, char *argv[])
 {
-	dev_handle_t dev_handle;
+	devmap_handle_t devmap_handle;
 	int rc;
 	int i;
@@ -151,5 +151,5 @@
 	for (i = 0; i < ADB_MAX_ADDR; ++i) {
 		adb_dev[i].client_phone = -1;
-		adb_dev[i].dev_handle = 0;
+		adb_dev[i].devmap_handle = 0;
 	}
 
@@ -160,5 +160,5 @@
 	}
 
-	rc = devmap_device_register("adb/kbd", &dev_handle);
+	rc = devmap_device_register("adb/kbd", &devmap_handle);
 	if (rc != EOK) {
 		devmap_hangup_phone(DEVMAP_DRIVER);
@@ -167,8 +167,8 @@
 	}
 
-	adb_dev[2].dev_handle = dev_handle;
-	adb_dev[8].dev_handle = dev_handle;
-
-	rc = devmap_device_register("adb/mouse", &dev_handle);
+	adb_dev[2].devmap_handle = devmap_handle;
+	adb_dev[8].devmap_handle = devmap_handle;
+
+	rc = devmap_device_register("adb/mouse", &devmap_handle);
 	if (rc != EOK) {
 		devmap_hangup_phone(DEVMAP_DRIVER);
@@ -177,5 +177,5 @@
 	}
 
-	adb_dev[9].dev_handle = dev_handle;
+	adb_dev[9].devmap_handle = devmap_handle;
 
 	if (cuda_init() < 0) {
@@ -196,5 +196,5 @@
 	ipc_call_t call;
 	ipcarg_t method;
-	dev_handle_t dh;
+	devmap_handle_t dh;
 	int retval;
 	int dev_addr, i;
@@ -206,5 +206,5 @@
 	dev_addr = -1;
 	for (i = 0; i < ADB_MAX_ADDR; i++) {
-		if (adb_dev[i].dev_handle == dh)
+		if (adb_dev[i].devmap_handle == dh)
 			dev_addr = i;
 	}
@@ -237,5 +237,5 @@
 			 */
 			for (i = 0; i < ADB_MAX_ADDR; ++i) {
-				if (adb_dev[i].dev_handle == dh) {
+				if (adb_dev[i].devmap_handle == dh) {
 					adb_dev[i].client_phone = IPC_GET_ARG5(call);
 				}
Index: uspace/srv/hw/bus/cuda_adb/cuda_adb.h
===================================================================
--- uspace/srv/hw/bus/cuda_adb/cuda_adb.h	(revision 69e0d6d76d229cc73c6c8a11802d5f2e93167ca4)
+++ uspace/srv/hw/bus/cuda_adb/cuda_adb.h	(revision cb569e62113a2d98fcd62f99a984ae74d5329acf)
@@ -104,5 +104,5 @@
 
 typedef struct {
-	dev_handle_t dev_handle;
+	devmap_handle_t devmap_handle;
 	int client_phone;
 } adb_dev_t;
Index: uspace/srv/hw/char/i8042/i8042.c
===================================================================
--- uspace/srv/hw/char/i8042/i8042.c	(revision 69e0d6d76d229cc73c6c8a11802d5f2e93167ca4)
+++ uspace/srv/hw/char/i8042/i8042.c	(revision cb569e62113a2d98fcd62f99a984ae74d5329acf)
@@ -145,5 +145,5 @@
 
 		snprintf(name, 16, "%s/ps2%c", NAMESPACE, dchar[i]);
-		rc = devmap_device_register(name, &i8042_port[i].dev_handle);
+		rc = devmap_device_register(name, &i8042_port[i].devmap_handle);
 		if (rc != EOK) {
 			devmap_hangup_phone(DEVMAP_DRIVER);
@@ -218,5 +218,5 @@
 	ipc_call_t call;
 	ipcarg_t method;
-	dev_handle_t dh;
+	devmap_handle_t dh;
 	int retval;
 	int dev_id, i;
@@ -230,5 +230,5 @@
 	dev_id = -1;
 	for (i = 0; i < MAX_DEVS; i++) {
-		if (i8042_port[i].dev_handle == dh)
+		if (i8042_port[i].devmap_handle == dh)
 			dev_id = i;
 	}
Index: uspace/srv/hw/char/i8042/i8042.h
===================================================================
--- uspace/srv/hw/char/i8042/i8042.h	(revision 69e0d6d76d229cc73c6c8a11802d5f2e93167ca4)
+++ uspace/srv/hw/char/i8042/i8042.h	(revision cb569e62113a2d98fcd62f99a984ae74d5329acf)
@@ -52,5 +52,5 @@
 /** Softstate structure, one for each serial port (primary and aux). */
 typedef struct {
-	dev_handle_t dev_handle;
+	devmap_handle_t devmap_handle;
 	int client_phone;
 } i8042_port_t;
Index: uspace/srv/hw/char/s3c24xx_uart/s3c24xx_uart.c
===================================================================
--- uspace/srv/hw/char/s3c24xx_uart/s3c24xx_uart.c	(revision 69e0d6d76d229cc73c6c8a11802d5f2e93167ca4)
+++ uspace/srv/hw/char/s3c24xx_uart/s3c24xx_uart.c	(revision cb569e62113a2d98fcd62f99a984ae74d5329acf)
@@ -92,5 +92,5 @@
 		return -1;
 
-	rc = devmap_device_register(NAMESPACE "/" NAME, &uart->dev_handle);
+	rc = devmap_device_register(NAMESPACE "/" NAME, &uart->devmap_handle);
 	if (rc != EOK) {
 		devmap_hangup_phone(DEVMAP_DRIVER);
Index: uspace/srv/hw/char/s3c24xx_uart/s3c24xx_uart.h
===================================================================
--- uspace/srv/hw/char/s3c24xx_uart/s3c24xx_uart.h	(revision 69e0d6d76d229cc73c6c8a11802d5f2e93167ca4)
+++ uspace/srv/hw/char/s3c24xx_uart/s3c24xx_uart.h	(revision cb569e62113a2d98fcd62f99a984ae74d5329acf)
@@ -88,5 +88,5 @@
 
 	/** Device handle */
-	dev_handle_t dev_handle;
+	devmap_handle_t devmap_handle;
 } s3c24xx_uart_t;
 
Index: uspace/srv/hw/netif/DRIVER_REMOVAL
===================================================================
--- uspace/srv/hw/netif/DRIVER_REMOVAL	(revision cb569e62113a2d98fcd62f99a984ae74d5329acf)
+++ uspace/srv/hw/netif/DRIVER_REMOVAL	(revision cb569e62113a2d98fcd62f99a984ae74d5329acf)
@@ -0,0 +1,5 @@
+The netif drivers in this directory are subject to removal / replacement by
+prospective new drivers that meet our criteria for portability, follow our
+coding style and integrate with our device driver framework.
+
+DO NOT ADD ANY NEW DRIVERS HERE OR BASE NEW DRIVERS ON THOSE FOUND HERE.
Index: uspace/srv/hw/netif/dp8390/dp8390.h
===================================================================
--- uspace/srv/hw/netif/dp8390/dp8390.h	(revision 69e0d6d76d229cc73c6c8a11802d5f2e93167ca4)
+++ uspace/srv/hw/netif/dp8390/dp8390.h	(revision cb569e62113a2d98fcd62f99a984ae74d5329acf)
@@ -43,5 +43,5 @@
 /** Input/output size.
  */
-#define DP8390_IO_SIZE	0x01f
+#define DP8390_IO_SIZE	0x020
 
 /*
Index: uspace/srv/hw/netif/dp8390/dp8390_module.c
===================================================================
--- uspace/srv/hw/netif/dp8390/dp8390_module.c	(revision 69e0d6d76d229cc73c6c8a11802d5f2e93167ca4)
+++ uspace/srv/hw/netif/dp8390/dp8390_module.c	(revision cb569e62113a2d98fcd62f99a984ae74d5329acf)
@@ -158,13 +158,14 @@
 
 int netif_get_device_stats(device_id_t device_id, device_stats_ref stats){
-	ERROR_DECLARE;
-
 	netif_device_t * device;
 	eth_stat_t * de_stat;
+	int rc;
 
 	if(! stats){
 		return EBADMEM;
 	}
-	ERROR_PROPAGATE(find_device(device_id, &device));
+	rc = find_device(device_id, &device);
+	if (rc != EOK)
+		return rc;
 	de_stat = &((dpeth_t *) device->specific)->de_stat;
 	null_device_stats(stats);
@@ -185,12 +186,13 @@
 
 int netif_get_addr_message(device_id_t device_id, measured_string_ref address){
-	ERROR_DECLARE;
-
-	netif_device_t * device;
+	netif_device_t * device;
+	int rc;
 
 	if(! address){
 		return EBADMEM;
 	}
-	ERROR_PROPAGATE(find_device(device_id, &device));
+	rc = find_device(device_id, &device);
+	if (rc != EOK)
+		return rc;
 	address->value = (char *) (&((dpeth_t *) device->specific)->de_address);
 	address->length = CONVERT_SIZE(ether_addr_t, char, 1);
@@ -201,8 +203,7 @@
 
 int netif_probe_message(device_id_t device_id, int irq, uintptr_t io){
-	ERROR_DECLARE;
-
-	netif_device_t * device;
-	dpeth_t * dep;
+	netif_device_t * device;
+	dpeth_t * dep;
+	int rc;
 
 	device = (netif_device_t *) malloc(sizeof(netif_device_t));
@@ -224,14 +225,21 @@
 	dep->de_mode = DEM_DISABLED;
 	//TODO address?
-	if(ERROR_OCCURRED(pio_enable((void *) io, DP8390_IO_SIZE, (void **) &dep->de_base_port))
-		|| ERROR_OCCURRED(do_probe(dep))){
+	rc = pio_enable((void *) io, DP8390_IO_SIZE, (void **) &dep->de_base_port);
+	if (rc != EOK) {
 		free(dep);
 		free(device);
-		return ERROR_CODE;
-	}
-	if(ERROR_OCCURRED(netif_device_map_add(&netif_globals.device_map, device->device_id, device))){
+		return rc;
+	}	
+	rc = do_probe(dep);
+	if (rc != EOK) {
 		free(dep);
 		free(device);
-		return ERROR_CODE;
+		return rc;
+	}
+	rc = netif_device_map_add(&netif_globals.device_map, device->device_id, device);
+	if (rc != EOK){
+		free(dep);
+		free(device);
+		return rc;
 	}
 	return EOK;
@@ -239,11 +247,12 @@
 
 int netif_send_message(device_id_t device_id, packet_t packet, services_t sender){
-	ERROR_DECLARE;
-
 	netif_device_t * device;
 	dpeth_t * dep;
 	packet_t next;
-
-	ERROR_PROPAGATE(find_device(device_id, &device));
+	int rc;
+
+	rc = find_device(device_id, &device);
+	if (rc != EOK)
+		return rc;
 	if(device->state != NETIF_ACTIVE){
 		netif_pq_release(packet_get_id(packet));
@@ -263,7 +272,6 @@
 
 int netif_start_message(netif_device_t * device){
-	ERROR_DECLARE;
-
-	dpeth_t * dep;
+	dpeth_t * dep;
+	int rc;
 
 	if(device->state != NETIF_ACTIVE){
@@ -271,8 +279,11 @@
 		dp8390_cmds[0].addr = (void *) (uintptr_t) (dep->de_dp8390_port + DP_ISR);
 		dp8390_cmds[2].addr = dp8390_cmds[0].addr;
-		ERROR_PROPAGATE(ipc_register_irq(dep->de_irq, device->device_id, device->device_id, &dp8390_code));
-		if(ERROR_OCCURRED(do_init(dep, DL_BROAD_REQ))){
+		rc = ipc_register_irq(dep->de_irq, device->device_id, device->device_id, &dp8390_code);
+		if (rc != EOK)
+			return rc;
+		rc = do_init(dep, DL_BROAD_REQ);
+		if (rc != EOK) {
 			ipc_unregister_irq(dep->de_irq, device->device_id);
-			return ERROR_CODE;
+			return rc;
 		}
 		return change_state(device, NETIF_ACTIVE);
@@ -350,11 +361,9 @@
 int main(int argc, char *argv[])
 {
-	ERROR_DECLARE;
+	int rc;
 	
 	/* Start the module */
-	if (ERROR_OCCURRED(netif_module_start(netif_client_connection)))
-		return ERROR_CODE;
-	
-	return EOK;
+	rc = netif_module_start(netif_client_connection);
+	return rc;
 }
 
Index: uspace/srv/net/il/arp/arp.c
===================================================================
--- uspace/srv/net/il/arp/arp.c	(revision 69e0d6d76d229cc73c6c8a11802d5f2e93167ca4)
+++ uspace/srv/net/il/arp/arp.c	(revision cb569e62113a2d98fcd62f99a984ae74d5329acf)
@@ -125,7 +125,6 @@
 }
 
-static int
-arp_clear_address_req(int arp_phone, device_id_t device_id, services_t protocol,
-    measured_string_ref address)
+static int arp_clear_address_req(int arp_phone, device_id_t device_id,
+    services_t protocol, measured_string_ref address)
 {
 	arp_device_ref device;
@@ -175,6 +174,5 @@
  * @returns		ENOMEM if there is not enough memory left.
  */
-static int
-arp_proto_create(arp_proto_ref *proto, services_t service,
+static int arp_proto_create(arp_proto_ref *proto, services_t service,
     measured_string_ref address)
 {
@@ -214,6 +212,5 @@
  *			measured_strings_return() function.
  */
-static int
-arp_device_message(device_id_t device_id, services_t service,
+static int arp_device_message(device_id_t device_id, services_t service,
     services_t protocol, measured_string_ref address)
 {
@@ -225,6 +222,8 @@
 
 	fibril_rwlock_write_lock(&arp_globals.lock);
-	// an existing device?
+
+	/* An existing device? */
 	device = arp_cache_find(&arp_globals.cache, device_id);
+
 	if (device) {
 		if (device->service != service) {
@@ -260,5 +259,5 @@
 			return ENOENT;
 		
-		// create a new device
+		/* Create a new device */
 		device = (arp_device_ref) malloc(sizeof(arp_device_t));
 		if (!device) {
@@ -289,5 +288,5 @@
 		device->service = service;
 		
-		// bind the new one
+		/* Bind the new one */
 		device->phone = nil_bind_service(device->service,
 		    (ipcarg_t) device->device_id, SERVICE_ARP,
@@ -300,5 +299,5 @@
 		}
 		
-		// get packet dimensions
+		/* Get packet dimensions */
 		rc = nil_packet_size_req(device->phone, device_id,
 		    &device->packet_dimension);
@@ -310,5 +309,5 @@
 		}
 		
-		// get hardware address
+		/* Get hardware address */
 		rc = nil_get_addr_req(device->phone, device_id, &device->addr,
 		    &device->addr_data);
@@ -320,5 +319,5 @@
 		}
 		
-		// get broadcast address
+		/* Get broadcast address */
 		rc = nil_get_broadcast_addr_req(device->phone, device_id,
 		    &device->broadcast_addr, &device->broadcast_data);
@@ -455,5 +454,5 @@
 	hw_source = arp_addr_find(&proto->addresses, (char *) src_proto,
 	    CONVERT_SIZE(uint8_t, char, header->protocol_length));
-	// exists?
+	/* Exists? */
 	if (hw_source) {
 		if (hw_source->length != CONVERT_SIZE(uint8_t, char,
@@ -463,5 +462,5 @@
 		memcpy(hw_source->value, src_hw, hw_source->length);
 	}
-	// is my protocol address?
+	/* Is my protocol address? */
 	if (proto->addr->length != CONVERT_SIZE(uint8_t, char,
 	    header->protocol_length)) {
@@ -470,5 +469,5 @@
 	if (!str_lcmp(proto->addr->value, (char *) des_proto,
 	    proto->addr->length)) {
-		// not already upadted?
+		/* Not already updated? */
 		if (!hw_source) {
 			hw_source = measured_string_create_bulk((char *) src_hw,
@@ -550,5 +549,5 @@
 		return addr;
 
-	// ARP packet content size = header + (address + translation) * 2
+	/* ARP packet content size = header + (address + translation) * 2 */
 	length = 8 + 2 * (CONVERT_SIZE(char, uint8_t, proto->addr->length) +
 	    CONVERT_SIZE(char, uint8_t, device->addr->length));
@@ -674,5 +673,5 @@
 	
 	case NET_IL_DEVICE_STATE:
-		// do nothing - keep the cache
+		/* Do nothing - keep the cache */
 		return EOK;
 	
Index: uspace/srv/net/il/arp/arp_module.c
===================================================================
--- uspace/srv/net/il/arp/arp_module.c	(revision 69e0d6d76d229cc73c6c8a11802d5f2e93167ca4)
+++ uspace/srv/net/il/arp/arp_module.c	(revision cb569e62113a2d98fcd62f99a984ae74d5329acf)
@@ -57,6 +57,5 @@
 extern arp_globals_t arp_globals;
 
-int
-il_module_message_standalone(ipc_callid_t callid, ipc_call_t *call,
+int il_module_message_standalone(ipc_callid_t callid, ipc_call_t *call,
     ipc_call_t *answer, int *answer_count)
 {
